## org.eclipse.amp.axf.ide.test
Class ParameterExecutionTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.eclipse.amp.axf.ide.test.ParameterExecutionTest

All Implemented Interfaces:
  junit.framework.Test

    public class ParameterExecutionTest

extends junit.framework.TestCase

Author:
  mparker

Field Summary
`protected org.eclipse.swtbot.eclipse.finder.SWTWorkbenchBot` `bot` In future you will not need to create this instance.

Constructor Summary
`ParameterExecutionTest()`

Method Summary
`void` `testLaunch()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### bot

    protected org.eclipse.swtbot.eclipse.finder.SWTWorkbenchBot bot

  In future you will not need to create this instance. You need to extend SWTBotEclipseTestCase which holds an instance of SWTEclipseBot.

Constructor Detail

### ParameterExecutionTest

    public ParameterExecutionTest()

Method Detail

### testLaunch

    public void testLaunch()